package com.yunfeiyun.agmp.fms.mapper;

import com.yunfeiyun.agmp.fms.domain.WmsSupplier;
import java.util.List;


/**
 * 供应商Mapper接口
 * 
 * @author 杨晓辉
 * @date 2023-05-25
 */
public interface WmsSupplierMapper 
{
    /**
     * 查询供应商
     * 
     * @param supplierId 供应商主键
     * @return 供应商
     */
    public WmsSupplier selectWmsSupplierBySupplierId(String supplierId);

    /**
     * 查询供应商列表
     * 
     * @param wmsSupplier 供应商
     * @return 供应商集合
     */
    public List<WmsSupplier> selectWmsSupplierList(WmsSupplier wmsSupplier);

    /**
     * 新增供应商
     * 
     * @param wmsSupplier 供应商
     * @return 结果
     */
    public int insertWmsSupplier(WmsSupplier wmsSupplier);

    /**
     * 修改供应商
     * 
     * @param wmsSupplier 供应商
     * @return 结果
     */
    public int updateWmsSupplier(WmsSupplier wmsSupplier);

    /**
     * 删除供应商
     * 
     * @param supplierId 供应商主键
     * @return 结果
     */
    public int deleteWmsSupplierBySupplierId(String supplierId);

    /**
     * 批量删除供应商
     * 
     * @param supplierIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWmsSupplierBySupplierIds(String[] supplierIds);
}
